commit 12972d14f33096f9d8ae8e861367404fbfe13dfe
Author: Dannon Baker <dannon.baker@gmail.com>
Date:   Mon Nov 28 14:08:32 2022 -0500

    Contain directory traversal for static files to host static root.

diff --git a/lib/galaxy/web/framework/middleware/static.py b/lib/galaxy/web/framework/middleware/static.py
index 100b233658..b8be61974a 100644
--- a/lib/galaxy/web/framework/middleware/static.py
+++ b/lib/galaxy/web/framework/middleware/static.py
@@ -40,7 +40,11 @@ class CacheableStaticURLParser(StaticURLParser):
                     directory = host_val
                     break
 
-        full = os.path.join(directory, filename)
+        full = self.normpath(os.path.join(directory, filename))
+        if not full.startswith(directory):
+            # Out of bounds
+            return self.not_found(environ, start_response)
+
         if not os.path.exists(full):
             return self.not_found(environ, start_response)
         if os.path.isdir(full):
